                @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
            }

            @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
                font-weight: bold;
            }

            @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
                font-style: italic;
            }

            @font-face {
                font-family: flipnote-hatena-font;
                src: url('https://bunbun-xd.neocities.org/flipnote-hatena-font.otf.woff2');
                font-style: italic;
                font-weight: bold;
            }

* {
    font-family: 'flipnote-hatena-font', sans-serif;
}

:root {
    --pink: #feabcd;
    --lightpink: #fec3db;
    --purple: #c186c0;
}

body {
    background-image: url('https://64.media.tumblr.com/88887a8c3eabce53b7949bd1493787e2/tumblr_inline_mrhrq0tjOt1qz4rgp.gif');
    background-size: cover;
    background-repeat: repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: 70px;
    font-size: 10px;
    position: relative;
    /* preventing users from highlighting anything /*
	user-select: none; /* supported by Chrome and Opera */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
}

/* Show the active tab content */

.tab:target {
    display: block;
}

/* Hide the previously shown tab when another is selected */

.tab:target~.tab {
    display: none;
}

.navbutton,
.sidebuttons {
    text-decoration: none !important;
    background-color: var(--pink);
    color: #b06baf;
    border-top: 7px solid var(--lightpink);
    border-left: 7px solid var(--lightpink);
    border-right: 7px solid var(--purple);
    border-bottom: 7px solid var(--purple);
    text-align: center;
}

.navbutton:hover,
.sidebuttons:hover {
    color: white;
    background-color: #f9a4c6;
    border-top: 7px solid var(--purple);
    border-left: 7px solid var(--purple);
    border-right: 7px solid var(--lightpink);
    border-bottom: 7px solid var(--lightpink);
    cursor: url("../images/cursors/Help-Select.cur"), pointer;
}

.title {
    display: block;
    margin: 0 auto;
    -webkit-animation: pop 1s ease-in-out infinite alternate;
    animation: pop 1s ease-in-out infinite alternate;
    -moz-animation: pop 1s ease-in-out infinite alternate;
}

@keyframes pop {
    from {
        transform: scale(0.95);
    }
    50% {
        transform: scale(1);
    }
    to {
        transform: scale(0.95);
    }
}

.pagetitle {
    position: absolute;
    left: 35px;
    font-size: 40px;
    color: white;
    padding: 0 !important;
    background-color: transparent !important;
}

.grid-container {
    direction: rtl;
    display: grid;
    width: 1200px;
    margin: 0 auto;
    background-image: url("../images/backgrounds/grid-container-image.jpg");
    background-size: 1290px 950px;
    background-position: right bottom, left top;
    background-repeat: no-repeat;
    background-color: white;
    gap: 20px;
    padding-right: 30px;
    padding-left: 60px;
    padding-top: 90px;
    padding-bottom: 30px;
    grid-template-columns: 300px 125px 500px auto;
    grid-template-rows: 50px 300px 100px 250px 50px;
    position: relative;
}

.grid-container>div {
    direction: rtl;
    background-color: pink;
    padding: 10px;
}

/* bg shdaow */

.grid-container::before {
    box-shadow: 10px 10px 3px 0px #d197ff;
    mix-blend-mode: multiply;
    content: "";
    position: absolute;
    top: 0px;
    right: 0;
    left: 0;
    bottom: 0;
    z-index: -10;
}

.item1 {
    grid-column: 1 / 5;
    display: flex;
    justify-content: space-between;
    padding: 0 !important;
    background-color: transparent !important;
}

.navbutton {
    width: 290px;
    height: auto;
    gap: 50px;
    text-align: center;
    align-self: center;
    box-sizing: border-box;
    margin: 0 0 10px 2px !important;
    padding-bottom: 3px;
}

.item2 {
    grid-column: 1;
    grid-row: 2;
    padding: 0 !important;
}

.item2 img {
    width: auto;
    height: 300px;
}

.item3 {
    grid-column: 2/ 4;
    grid-row: 2;
    padding: 0 !important;
    background-image: url("../images/pages/home/speech-bubble.png");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-color: transparent !important;
}

.welcometxt {
    padding-right: 60px;
    padding-top: 35px;
    font-size: 30px;
    color: var(--purple);
}

.item4 {
    grid-column: 4/ 5;
    grid-row: 2;
    overflow: auto;
    border: 5px solid #c186c0;
    font-size: 22px;
    background-image: url("../images/backgrounds/currentlybg.png");
    background-color: transparent !important;
    background-size: cover;
    background-repeat: no-repeat;
}

.currently,
.updates,
#statuscafe-username {
    background-color: var(--pink);
    border-top: 5px solid var(--lightpink);
    border-left: 5px solid var(--lightpink);
    border-right: 5px solid var(--purple);
    border-bottom: 5px solid var(--purple);
    text-align: center;
}

.status {
    padding: 5px 5px 5px 5px !important;
}
.item5 {
    grid-column: 1;
    grid-row: 3;
    overflow: auto;
    padding: 10px !important;
    background-color: transparent !important;
    background-image: url("../images/backgrounds/sidebuttonbg.gif");
    height: 160px;
    width: auto;
    border: 5px solid var(--purple);
}

.item5 img,
.item1 img {
    vertical-align: middle;
    padding-left: 10px;
}

.sidebuttons {
    display: list-item;
    margin: 0px 0px 10px 2px !important;
    padding-bottom: 6px;
    color: #b06baf;
}

.item6 {
    grid-column: 2 / span 2;
    grid-row: 3 / 5;
    border: 5px solid var(--purple);
    padding: 0 !important;
    background-color: transparent !important;
}

#chattable {
    width: 636px;
    height: 360px;
    border: none;
}

.item7 {
    grid-column: 1;
    grid-row: 4;
    overflow-y: auto;
    border: 5px solid var(--purple);
    font-size: 25px;
    background-color: transparent !important;
    height: 133px;
    width: auto;
    align-self: end;
}

.musicplayeritem {
    grid-column: 4;
    grid-row: 4;
    direction: ltr !important;
    width: fit-content;
    /* Shrink to fit player width */
    height: fit-content;
    /* Shrink to fit player height */
    padding: 0 !important;
    align-self: end;
}

.clockitem {
    grid-column: 4/ 5;
    grid-row: 3;
    background-image: url("../images/backgrounds/clockbg.gif");
    background-size: cover;
    background-repeat: no-repeat;
    border: 5px solid var(--purple);
}

.clock {
    padding-right: 20px;
    font-size: 40px;
    color: white;
}

.statuscafecontainer {
    grid-column: 4;
    grid-row: 4;
    height: 93px;
    width: auto;
    padding: 0 !important;
    background-color: transparent !important;
    background-image: url("https://files.catbox.moe/cknhs3.jpg");
    background-size: cover;
    background-repeat: no-repeat;
}

#statuscafe {
    height: 86px;
    width: auto;
    font-size: 25px;
    border: 5px solid var(--purple);
    overflow: hidden;
    overflow: auto;
}

#statuscafe-username {
    margin-left: 10px;
    direction: ltr !important;
    background: none;
    border: none;
    font-size: 20px;
}

#statuscafe-content {
    margin-left: 30px;
    direction: ltr !important;
    margin-left: 43px;
    color: black;
    line-height: 0.8;
}

#statuscafe a {
    color: var(--pink);
}

.item4::-webkit-scrollbar,
.item5::-webkit-scrollbar,
.item6::-webkit-scrollbar,
.item7::-webkit-scrollbar,
.arcademain::-webkit-scrollbar,
.content-container::-webkit-scrollbar,
#chattable::-webkit-scrollbar,
.main::-webkit-scrollbar,
.maindrawbox::-webkit-scrollbar,
.rightcolumn::-webkit-scrollbar,
.leftcolumn::-webkit-scrollbar,
.description::-webkit-scrollbar,
#statuscafe::-webkit-scrollbar {
    width: 17px;
    background: transparent;
}

.item4::-webkit-scrollbar-thumb,
.item5::-webkit-scrollbar-thumb,
.item6::-webkit-scrollbar-thumb,
.item7::-webkit-scrollbar-thumb,
.arcademain::-webkit-scrollbar-thumb,
.content-container::-webkit-scrollbar-thumb,
#c_widget::-webkit-scrollbar-thumb,
.main::-webkit-scrollbar-thumb,
.maindrawbox::-webkit-scrollbar-thumb,
.rightcolumn::-webkit-scrollbar-thumb,
.leftcolumn::-webkit-scrollbar-thumb,
.description::-webkit-scrollbar-thumb,
#statuscafe::-webkit-scrollbar-thumb {
    background: var(--pink);
    border-top: 3px solid var(--lightpink);
    border-left: 3px solid var(--lightpink);
    border-right: 3px solid var(--purple);
    border-bottom: 3px solid var(--purple);
}

.item8 {
    background: var(--pink) !important;
    border-top: 5px solid var(--lightpink);
    border-left: 5px solid var(--lightpink);
    border-right: 5px solid var(--purple);
    border-bottom: 5px solid var(--purple);
    display: flex;
    align-items: center;
    justify-content: space-evenly !important;
    width: 1290px;
    margin: 40px auto;
}

.item8,
.item8 div {
    color: white;
}

.back-button {
    height: 150px;
    width: 150px;
    background: url("../images/icons/backbtn.png") no-repeat center / cover;
    background-repeat: no-repeat;
    background-size: cover;
    cursor: pointer;
    position: absolute;
    left: -300px;
    bottom: 500px;
    background-color: transparent !important;
}

.back-button:hover {
    background-image: url("../images/icons/backbtn2.png");
    background-repeat: no-repeat;
    background-size: cover;
    cursor: url("../images/cursors/Help-Select.cur"), pointer;
}

.hanger {
    height: 500px;
    width: auto;
    top: 380px;
    left: -290px;
    position: absolute;
    z-index: -1;
}

.construction {
    padding-bottom: 10px;
    margin: auto;
    justify-content: center;
    display: flex;
    margin-top: 60px;
    height: 51px;
}

.marquee {
    overflow: hidden;
    display: flex;
    flex-wrap: nowrap;
    box-sizing: unset;
    width: 1210px;
    direction: ltr !important;
    background-color: var(--pink) !important;
    border: 5px solid var(--purple);
    padding: 10px !important;
    height: 29px;
}

.marquee-items {
    display: flex;
    flex-shrink: 0;
    height: 100%;
    /* This line is extremely important to prevent bugs on some browsers such as FireFox */
    min-width: 100%;
    position: relative;
}

/* Changes to this class will only affect the children
of the marquee-items, and not all of their descendants.
Make changes here if you want spaces in-between the
marquee items or other effects and styles!*/

.marquee-items>* {
    margin-right: 15px;
    height: 31px;
}

@keyframes scroll-r2l {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(-100%);
    }
}

@keyframes scroll-l2r {
    from {
        transform: translateX(0);
    }
    to {
        transform: translateX(100%);
    }
}

.scroll-l2r {
    animation: scroll-l2r 55s linear infinite;
}

.scroll-r2l {
    animation: scroll-r2l 55s linear infinite;
}

.paused {
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -o-animation-play-state: paused;
    animation-play-state: paused;
}

#marquee2 {
    grid-row: 6;
    height: 55px;
}

#marquee2 img {
    height: 59px;
}

.flex {
    display: flex;
}

.titlebaricon {
    height: 14px;
    width: 14px;
}

.mii {
    height: 460px;
    width: auto;
    position: absolute;
    bottom: -25px;
    left: -240px;
    z-index: 1000;
    transform: rotate(-25deg);
}

#s-m-t-tooltip {
    /* basic */
    max-width: 300px;
    z-index: 10;
    margin: 24px 14px 7px 12px;
    /* style and design */
    padding: 18px;
    background: var(--pink);
    /* fallback if rgba not supported */
    background: rgba(249, 164, 198, 0.65);
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    -moz-box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.15), -1px -1px 0 rgba(255, 255, 255, 0.3);
    -webkit-box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.15), -1px -1px 0 rgba(255, 255, 255, 0.3);
    box-shadow: 2px 2px 0 rgba(0, 0, 0, 0.15), -1px -1px 0 rgba(255, 255, 255, 0.3);
    border: 3px solid white;
    /* font */
    font-size: 31px;
    line-height: 16px;
    color: #fff;
    text-align: center;
    line-height: 1.2;
}